From e662640ec64b065334e21e74cb8043e0894aa679 Mon Sep 17 00:00:00 2001
From: Masahiro Yamada <masahiroy@kernel.org>
Date: Thu, 7 Apr 2022 00:30:17 +0900
Subject: [PATCH 162/165] kbuild: reuse suffix-search to refactor multi_depend

The complicated part of multi_depend is the same as suffix-search.

Reuse it.

gerrit: 4080198/3
Change-Id: Ifc6628bdab3949b148c3928f2398d8e5440a7e6d
Signed-off-by: Masahiro Yamada <masahiroy@kernel.org>
Reviewed-by: Nick Desaulniers <ndesaulniers@google.com>
Signed-off-by: Elliot Berman <quic_eberman@quicinc.com>
---
 scripts/Makefile.lib | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/Makefile.lib b/scripts/Makefile.lib
index 54582673fc1a..8b4191690fd3 100644
--- a/scripts/Makefile.lib
+++ b/scripts/Makefile.lib
@@ -249,7 +249,7 @@ objtool_args =								\
 define multi_depend
 $(foreach m, $(notdir $1), \
 	$(eval $(obj)/$m: \
-	$(addprefix $(obj)/, $(foreach s, $3, $($(m:%$(strip $2)=%$(s)))))))
+	$(addprefix $(obj)/, $(call suffix-search, $m, $2, $3))))
 endef
 
 quiet_cmd_copy = COPY    $@
-- 
2.25.1

